Subject: bug#79261: coreutils 9.7 "date -u" - timezone offset is in the wrong direction

From: Paul Eggert <[email-masked]>
Date: Sun, 24 Aug 2025 16:17:12 -0700

On 2025-08-24 14:33, James Feeney via GNU coreutils Bug Reports wrote:
> reporting UTC in 12 hour format is just plain wrong.

No it's fine, actually. UTC is a world-wide standard; it's not local to 
Greenwich. Many people prefer 12-hour format, and there's nothing wrong 
with displaying UTC that way.

And even if I agreed with you, longstanding practice is to for "date -u" 
to respect the current locale, and POSIX requires this behavior. So 
there are good reasons for keeping the behavior the way it is.

To get the behavior you prefer, you can run "LC_ALL=C date -u", "date -u 
+'%Y-%m-%d %H:%M:%S'", or similar commands.